## The minimum viable product (MVP) of this module involves:

1. log submission  
Requirement: An append-only record of each submission of each content type.  
Proposed solution: A custom database table to store basic information about a submission as it is received.  
NB: the record could potentially also be used to report the number of submissions received (reporting requirements in a separate ticket and not part of this MVP).

2. divide submissions into queues  
Requirement: A method for dividing submissions evenly across multiple lists to allow each list to grow as submissions are received.  
Proposed solution: A record in the custom database table assigning 1 of 50 queue designations sequentially to a submission as it is received.  
NB: the working assumption is that once a queue designation is assigned to a submission, the designation will not change.

3. display queues  
Requirement: A method for displaying individual lists of questions to users.  
Proposed solution: A View to render each queue.  
NB: sorting and filtering will eventually be needed for queue items.

Please correct any misinformation and note any items that need clarification.

## The Automatic User Assignment pages:

- /report/assigned-nodes
  - Report page for admin user to see nodewise assingee

- /assigned-nodes
  - This page will show node assigned to logged in user

## The Manual Ad Hoc (Queue) pages:

- /queue-list
  - Queue list for users to see queue wise node counts
  - On click view link, user will see list of contents of respective queue
