<?php

/**
 * @file
 * Provide views data for moderation_team.module.
 *
 * @ingroup views_module_handlers
 */

/**
 * Implements hook_views_data().
 */
function moderation_team_views_data() {

  $data = [];
  $data['mt_queue'] = [];
  $data['mt_queue']['table'] = [];
  $data['mt_queue']['table']['group'] = t('Queue');
  $data['mt_queue']['table']['provider'] = 'moderation_team';

  $data['mt_queue']['table']['base'] = array(
    'field' => 'id',
    'title' => t('Queue table'),
    'help' => t('Queue related nodes.'),
  );

  $data['mt_queue']['table']['join'] = [
    'node_field_data' => [
      'left_field' => 'nid',
      'field' => 'nid',
    ],
  ];

  $data['mt_queue']['nid'] = [
    'title' => t('NID'),
    'help' => t('Realate content with queue.'),
    'relationship' => [
      'base' => 'node_field_data',
      'id' => 'standard',
      'label' => t('Node Queues'),
    ],
    'field' => array(
      'id' => 'numeric',
    ),
    'sort' => array(
      'id' => 'standard',
    ),
    'filter' => array(
      'id' => 'numeric',
    ),
    'argument' => array(
      'id' => 'numeric',
    ),
  ];

   // Numeric field, exposed as a field, sort, filter, and argument.
  $data['mt_queue']['queue_id'] = array(
    'title' => t('Queue Id'),
    'help' => t('Id of the queue.'),
    'field' => array(
      'id' => 'numeric',
    ),
    'sort' => array(
      'id' => 'standard',
    ),
    'filter' => array(
      'id' => 'numeric',
    ),
    'argument' => array(
      'id' => 'numeric',
    ),
  );

  $data['mt_node_queue'] = [];
  $data['mt_node_queue']['table'] = [];
  $data['mt_node_queue']['table']['group'] = t('Node Assignee');
  $data['mt_node_queue']['table']['provider'] = 'moderation_team';

  $data['mt_node_queue']['table']['base'] = array(
    'field' => 'id',
    'title' => t('Node Assignee table'),
    'help' => t('Node Assignee.'),
  );

  $data['mt_node_queue']['table']['join'] = [
    'node_field_data' => [
      'left_field' => 'nid',
      'field' => 'nid',
    ],
  ];

  $data['mt_node_queue']['nid'] = [
    'title' => t('NID'),
    'help' => t('Node Id from assignee.'),
    'relationship' => [
      'base' => 'node_field_data',
      'id' => 'standard',
      'label' => t('Referenced Node'),
    ],
    'field' => array(
      'id' => 'numeric',
    ),
    'sort' => array(
      'id' => 'standard',
    ),
    'filter' => array(
      'id' => 'numeric',
    ),
    'argument' => array(
      'id' => 'numeric',
    ),
  ];

   // Numeric field, exposed as a field, sort, filter, and argument.
  $data['mt_node_queue']['reviewer_id'] = array(
    'title' => t('Reviewer Id'),
    'help' => t('Assignee user of the content.'),
    'relationship' => [
      'base' => 'users_field_data',
      'id' => 'standard',
      'label' => t('Referenced User'),
    ],
    'field' => array(
      'id' => 'numeric',
    ),
    'sort' => array(
      'id' => 'standard',
    ),
    'filter' => array(
      'id' => 'numeric',
    ),
    'argument' => array(
      'id' => 'numeric',
    ),
  );

  return $data;
}
